Memory leak in VMware Workstation and Fusion



Published: 2020-10-20
Risk High
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2020-3995
CWE-ID CWE-401
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
VMware Fusion
Client/Desktop applications / Virtualization software

VMware Workstation
Client/Desktop applications / Virtualization software

Vendor VMware, Inc

Security Bulletin

This security bulletin contains one high risk vulnerability.

1) Memory leak

EUVDB-ID: #VU47751

Risk: High

CVSSv3.1:

CVE-ID: CVE-2020-3995

CWE-ID: CWE-401 - Improper Release of Memory Before Removing Last Reference ('Memory Leak')

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform DoS attack on the target system.

The vulnerability exists due memory leak within the VMCI host driver. A remote attacker can force the application to leak memory and perform denial of service attack.

Mitigation

Install update from vendor's website.

Vulnerable software versions

VMware Fusion: 11.0.0 - 11.0.3

VMware Workstation: 15.0.0 - 15.0.4


CPE2.3 External links

http://www.vmware.com/security/advisories/VMSA-2020-0023.html

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###